/** Register effects */
StartupEvents.registry('mob_effect', event => {
    // Register radiation effect
    event.create('ninjago:freeze')
    .displayName("Frozen")
        // Set a tick event to apply the action
        .effectTick((entity) => {
            if (!entity.server) return;
            entity.setTicksFrozen(240);
        entity.server.runCommandSilent(`execute as ${entity.uuid} at @s run superpower add ninjago:frozen @s`);
        }) 
        .color(Color.BLACK)
        .harmful();
})